﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');
@import url('variable.css');
@import url('font-faces.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

h1, h2, h3, h4, h5, h6 {
    font-family: var(--bebas-neue-font) !important;
}

a, .btn-link {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.table-scrollable {
    overflow-y: auto;
    overflow-x: auto;
    max-height: 600px;
}

.sticky-header {
    position: sticky;
    top: 0;
    z-index: 2;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

/*Blzor Toast Override start*/
.blazored-toast-container {
    z-index: 999999 !important;
}
/*Blzor Toast Override End*/

.custom-checkbox {
    width: 25px !important;
    height: 25px !important;
}
@media (min-width: 476px) {
    .logo {
        max-width: 120px;
        height: auto;
    }
}

@media (min-width: 576px) {
    .logo {
        max-width: 120px;
        height: auto;
    }
}


@media (min-width: 768px) {
    .logo {
        max-width: 160px;
        height: auto;
    }
}


@media (min-width: 992px) {
    .logo {
        max-width: 180px;
        height: auto;
    }
}


@media (min-width: 1200px) {
    .logo {
        max-width: 180px;
        height: auto;
    }
}
